SVNKit Home

## org.tmatesoft.svn.core.auth
Class SVNUserNameAuthentication

    java.lang.Object
      org.tmatesoft.svn.core.auth.SVNAuthentication
          org.tmatesoft.svn.core.auth.SVNUserNameAuthentication

public class SVNUserNameAuthentication
extends SVNAuthentication

The SVNUserNameAuthentication class represents a simple authentication credential class that uses only a username to authenticate a user. Used along with the `ISVNAuthenticationManager.USERNAME` credential kind.

Version:
  1.1.1
Author:
  TMate Software Ltd.

Constructor Summary
`SVNUserNameAuthentication(String userName, boolean storageAllowed)` Creates a username authentication credential.

Methods inherited from class org.tmatesoft.svn.core.auth.SVNAuthentication
`getKind, getUserName, isStorageAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNUserNameAuthentication

    public SVNUserNameAuthentication(String userName,
                                     boolean storageAllowed)

  Creates a username authentication credential.

Parameters:
  `userName` - a user name
  `storageAllowed` - if true then this credential is allowed to be stored in the global auth cache, otherwise not

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.